Status: Closed Start date: 14/02/2016
Priority: Urgent Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Sur le test joué en 3.0.0.22, je regarde la commutation
NORMAL vers SBM1 car plus facile a valider vu que les produits CWF_F1 sont tout de suite disponibles.

La commutation demandée est immediate, ce qui signifie qu'elle sera effective sur le tick-out d'apres = la seconde suivante.
20162 13 11:58:53:343 TM_LFR_HK time = 0x 1e51d6fc 6174
20162 13 11:58:53:512 TM_LFR_TC_EXE_SUCCESS time =* 0x 1e51d6fc 8cf1*

2016 2 13 11:58:53:770

Je m'attends donc a voir arriver un produit CWF_F1 proche de 0x 1e51d6fd voire meme au mieux 1e51d6fc eaff (ffff-1500) mais

TM_LFR_SCIENCE_SBM1_CWF_F1

comme on doit avoir 8 buffers, le calcul
doit etre FFFF-A800=557F.
Ce n'est pas le cas, on a l'impression méme que la commutation a été immédiate.

1er groupe

2016 2 13 11:58:53:770
2016 2 13 11:58:53:782
2016 2 13 11:58:53:782
2016 2 13 11:58:53:794
2016 2 13 11:58:53:794
2016 2 13 11:58:53:804
2016 2 13 11:58:53:808
2016 2 13 11:58:53:808

2eme groupe (A800 fine-

2016 2 13 11:58:54:426
2016 2 13 11:58:54:438
2016 2 13 11:58:54:438
2016 2 13 11:58:54:450
commutation demandée
2016 2 13 11:58:54:450
2016 2 13 11:58:54:454
2016 2 13 11:58:54:467
2016 2 13 11:58:54:467
2016 2 13 11:58:54:503
2016 2 13 11:58:54:735

TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1i_CWF_F1
TM_LFR_SCIENCE_SBM1i_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1

time plus loin)

TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1

TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1
TM_LFR_SCIENCE_SBM1_CWF_F1

time =* 0x 1e51d6fc 259d*

time = 0x 1e51d6fc 259d
time = 0x 1e51d6fc 3a9d
time = Ox 1e51d6fc 4f9d
time = 0x 1e51d6fc 649d
time = 0x 1e51d6fc 799d
time = 0x 1e51d6fc 8e9d
time = 0x 1e51d6fc a39d
time = 0x 1e51d6fc b89d

time = 0x 1e51d6fc cd9d
time = Ox 1e51d6fc e29d
time = 0x 1e51d6fc f79d
time = 0x 1e51d6fd c9d

time = 0x 1e51d6fd 219d
time = 0x 1e51d6fd 369d
time = 0x 1e51d6fd 4b9d
time = 0x 1e51d6fd 609d

TM_LFR_SCIENCE_SBM1_BP1_FO0 time = Ox 1e51d6fd 3daft
TM_LFR_SCIENCE_SBM1_BP1_FO0 time = Ox 1e51d6fd 7dat

donc on aurait du commencer a voir seulement les produits du 2eme groupe

--> EST CE QUE MON ANALYSE EST CORRECTE?

Autre explication:

/A800) soit 43008 fine-time

-> la on a franchi la seconde /

Tu prends le premier groupe car tu as deja le buffer qui est disponible et tu estimes compatible avec le temps de commutation.

Le second buffer arrive trop loin de la seconde soit Ox 1e51d6fc cd9d + A800 = Ox 1e51d6fd bdal.

QUELLE EST LA BONNE ANALYSE?

Il faut vraiment documenter cette partie pour renseigner la SRS et eventuellement le SUM._

Related issues:
Related to Task #624: Long test with SBM1 and SBM2 FSW 3.0.0.22 Closed 12/02/2016
Related to Task #632: Mise a jour document SRS / commutation immediate Closed 19/02/2016

History

#1 - 14/02/2016 10:15 AM - Veronique bouzid
- Related to Task #620: 3.0.0.22 added

#2 - 14/02/2016 10:16 AM - Veronique bouzid
- Related to Task #624: Long test with SBM1 and SBM2 FSW 3.0.0.22 added

#3 - 14/02/2016 10:16 AM - Veronique bouzid
- Related to deleted (Task #620: 3.0.0.22)

#4 - 15/02/2016 04:33 PM - bruno katra

Je rejoins I'analyse de Véronique, d'apres ce que nous avons expliqué dans le document fourni a Milan le mois dernier et le nouveau fonctionnement
du ENTER_MODE(0), on s'attend a ce que le premier echantillon CWF_F1 soit proche de 1e51d6fd 0000 a 0.2ms prés or la le premier échantillon
est antérieur de plus de 800ms.

#5 - 19/02/2016 08:24 AM - Veronique bouzid

- Related to Task #632: Mise a jour document SRS / commutation immediate added

#6 - 23/02/2016 11:09 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Effectivement, il y a des choses a préciser. Actuellement, dans le code, les CWF sont envoyées dés qu'elles sont prétes, indépendemment de la date
de commutation. C'est di au fait que la variable locale IfrCurrentMode est mise a jour dés la fin de I'exécution de la TC de changement de mode, ce
qui provient de la fagon historique de commuter (on considérait qu'on avait effectivement changé de mode a la fin de la TC méme si les acquisitions
commengcaient plus tard, a la date demandée).

Prenons I'exemple d'une commutation en SBM1: une fois que IfrCurrentMode = SBM1, dés qu'un buffer CWF1 est plein, il est envoyé. Précision: pour
les BP, je fais un test sur la date de transition. Si la date locale est supérieure a la date de transition demandée, j'expédie les données
(indépendamment de I'acquisition time), sinon, je les oublie. Je peux faire la méme chose pour les CWF mais méme en faisant ¢a, il y a de forte
chance pour que j'expédie des données qui ont commenceé a étre enregistrée avant la date de commutation. Ca permettra de s'assurer néanmoins
que dans le cas limite ou un buffer serait prét entre I'exécution de la TC de commutation et la date de commutation demandée, il soit oublié.

Toutes ces mises au point viennent du fait que la stratégie de commutation de mode a complétement changé entre I'époque ou nous avons mis au
point la-dite commutation, aprés avoir interrogé précisément Philippe, et maintenant. Le VHDL était adapté a I'ancienne version (redémarrage de tous
les traitement pour chaque commutation a une date précise). J'ai bricolé le soft pour m'adapter a la commutation actuelle, mais c'était pas
rigoureusement prévu pour et donc il y a des effets collatéraux.

#7 - 04/03/2016 11:00 AM - bruno katra

- Status changed from New to In Progress

J'ai bien Iu I'explication de Paul. En effet, c'est plus compliqué que ce qu'on avait compris.

J'ai plusieurs questions et remarques :

- ce comportement sera t-il décrit dans le SDD ?

- cela concerne t'il tous les CWF ?

- Je suis un peu embété car cela invalide en partie le document de caractérisation envoyé a Milan fin janvier sur la datation qui est cosigné par
Thomas, Paul, Bruno et qui doit servir de base de discussions pour le system level RPW...

#8 - 04/03/2016 11:04 AM - bruno katra

- Assignee changed from Veronique bouzid to paul leroy

#9 - 24/05/2016 10:47 PM - paul leroy

Il faudrait que le comportement soit décrit quelquepart. Je vais essayer de mettre une note dans le SDD pour expliquer comment j'ai codé le
changement de mode.

#10 - 24/05/2016 11:35 PM - bruno katra
2 solutions :
- tu avais parlé de ¢a il y a quelques mois :

pour les BP, je fais un test sur la date de transition. Si la date locale est supérieure a la date de transition demandée, j'expédie les données
(indépendamment de I'acquisition time), sinon, je les oublie. Je peux faire la méme chose pour les CWF mais méme en faisant ¢a, il y a de forte
chance pour que j'expédie des données qui ont commenceé a étre enregistrée avant la date de commutation. Ca permettra de s'assurer néanmoins
que dans le cas limite ou un buffer serait prét entre I'exécution de la TC de commutation et la date de commutation demandée, il soit oublié.

Si tu implémentes ¢a, alors on est cohérent avec le document fourni a Milan et avec la RFD émise et acceptée concernant la commutation
immédiate. Le SUM contient déja un paragraphe expliquant I'acquisition et la commutation immédiate. Il restera juste a expliquer un peu ¢a dans le
SDD

- Situ laisses tel que c'est : il faut que I'on émette une RFD + décrire ce comportement dans le SUM (pour des raisons/contraintes opérationnelles) +
SDD a mettre a jour avec ce mécanisme et la relation avec le VHDL.

#11 - 25/05/2016 11:19 AM - paul leroy

fsw >= 3.1.0.1
J'ai ajouté un test sur la date de transition du mode. Les CWF1, CWF2 et les BP ne sont envoyé que si la date de transition est respectée:

// data are sent depending on the transition time
if ( time_management_regs->coarse_time >= lastValidEnterModeTime)

{
status = rtems_message_queue_send( queue_id, &ring_node_to_send, sizeof( ring_node* ) );

}

#12 - 25/05/2016 11:20 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#13 - 25/05/2016 12:18 PM - bruno katra

paul leroy wrote:

fsw >= 3.1.0.1
J'ai ajouté un test sur la date de transition du mode. Les CWF1, CWF2 et les BP ne sont envoyé que si la date de transition est respectée:

(-]

Super ! On lancera des tests pour voir si le fonctionnement attendu est nominal. Quid des CWF_F3 (par exemple lors d'une transition BURST vers
NORMAL) ?

#14 - 25/05/2016 12:52 PM - paul leroy

BURST => NORM est une transition dans laquelle tout redémarre. Les transitions particuliéres affectées par la nouvelle commutation sont les
transition SBMx <=> NORM.

#15 - 25/05/2016 12:54 PM - bruno katra
paul leroy wrote:
BURST => NORM est une transition dans laquelle tout redémarre. Les transitions particuliéres affectées par la nouvelle commutation sont les

transition SBMx <=> NORM.

Exact ! Au temps pour moi.

#16 - 27/01/2017 02:36 PM - bruno katra

- Status changed from In Progress to Closed

SUM mis a jour pour R3 updated DP concernant les changements de mode
+ RFD émises pour R3 updated DP:

RFD 226 (commutation immédiate)

RFD 227 (redémarrage de certians produits seulement)
